Index: uspace/drv/hid/adb-kbd/main.c
===================================================================
--- uspace/drv/hid/adb-kbd/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/adb-kbd/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,9 +42,9 @@
 #define NAME  "adb-kbd"
 
-static errno_t adb_kbd_dev_add(ddf_dev_t *dev);
-static errno_t adb_kbd_dev_remove(ddf_dev_t *dev);
-static errno_t adb_kbd_dev_gone(ddf_dev_t *dev);
-static errno_t adb_kbd_fun_online(ddf_fun_t *fun);
-static errno_t adb_kbd_fun_offline(ddf_fun_t *fun);
+static int adb_kbd_dev_add(ddf_dev_t *dev);
+static int adb_kbd_dev_remove(ddf_dev_t *dev);
+static int adb_kbd_dev_gone(ddf_dev_t *dev);
+static int adb_kbd_fun_online(ddf_fun_t *fun);
+static int adb_kbd_fun_offline(ddf_fun_t *fun);
 
 static driver_ops_t driver_ops = {
@@ -61,5 +61,5 @@
 };
 
-static errno_t adb_kbd_dev_add(ddf_dev_t *dev)
+static int adb_kbd_dev_add(ddf_dev_t *dev)
 {
 	adb_kbd_t *adb_kbd;
@@ -77,5 +77,5 @@
 }
 
-static errno_t adb_kbd_dev_remove(ddf_dev_t *dev)
+static int adb_kbd_dev_remove(ddf_dev_t *dev)
 {
         adb_kbd_t *adb_kbd = (adb_kbd_t *)ddf_dev_data_get(dev);
@@ -86,5 +86,5 @@
 }
 
-static errno_t adb_kbd_dev_gone(ddf_dev_t *dev)
+static int adb_kbd_dev_gone(ddf_dev_t *dev)
 {
         adb_kbd_t *adb_kbd = (adb_kbd_t *)ddf_dev_data_get(dev);
@@ -95,5 +95,5 @@
 }
 
-static errno_t adb_kbd_fun_online(ddf_fun_t *fun)
+static int adb_kbd_fun_online(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "adb_kbd_fun_online()");
@@ -101,5 +101,5 @@
 }
 
-static errno_t adb_kbd_fun_offline(ddf_fun_t *fun)
+static int adb_kbd_fun_offline(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "adb_kbd_fun_offline()");
Index: uspace/drv/hid/adb-mouse/adb-mouse.c
===================================================================
--- uspace/drv/hid/adb-mouse/adb-mouse.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/adb-mouse/adb-mouse.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -97,5 +97,5 @@
 		ipc_callid_t callid = async_get_call(&call);
 
-		errno_t retval = EOK;
+		int retval = EOK;
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -117,7 +117,7 @@
 
 /** Add ADB mouse device */
-errno_t adb_mouse_add(adb_mouse_t *mouse)
-{
-	errno_t rc;
+int adb_mouse_add(adb_mouse_t *mouse)
+{
+	int rc;
 	bool bound = false;
 
@@ -188,5 +188,5 @@
 
 /** Remove ADB mouse device */
-errno_t adb_mouse_remove(adb_mouse_t *con)
+int adb_mouse_remove(adb_mouse_t *con)
 {
 	return ENOTSUP;
@@ -194,5 +194,5 @@
 
 /** ADB mouse device gone */
-errno_t adb_mouse_gone(adb_mouse_t *con)
+int adb_mouse_gone(adb_mouse_t *con)
 {
 	return ENOTSUP;
Index: uspace/drv/hid/adb-mouse/adb-mouse.h
===================================================================
--- uspace/drv/hid/adb-mouse/adb-mouse.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/adb-mouse/adb-mouse.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,7 +47,7 @@
 } adb_mouse_t;
 
-extern errno_t adb_mouse_add(adb_mouse_t *);
-extern errno_t adb_mouse_remove(adb_mouse_t *);
-extern errno_t adb_mouse_gone(adb_mouse_t *);
+extern int adb_mouse_add(adb_mouse_t *);
+extern int adb_mouse_remove(adb_mouse_t *);
+extern int adb_mouse_gone(adb_mouse_t *);
 
 #endif
Index: uspace/drv/hid/adb-mouse/main.c
===================================================================
--- uspace/drv/hid/adb-mouse/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/adb-mouse/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,9 +42,9 @@
 #define NAME  "adb-mouse"
 
-static errno_t adb_mouse_dev_add(ddf_dev_t *dev);
-static errno_t adb_mouse_dev_remove(ddf_dev_t *dev);
-static errno_t adb_mouse_dev_gone(ddf_dev_t *dev);
-static errno_t adb_mouse_fun_online(ddf_fun_t *fun);
-static errno_t adb_mouse_fun_offline(ddf_fun_t *fun);
+static int adb_mouse_dev_add(ddf_dev_t *dev);
+static int adb_mouse_dev_remove(ddf_dev_t *dev);
+static int adb_mouse_dev_gone(ddf_dev_t *dev);
+static int adb_mouse_fun_online(ddf_fun_t *fun);
+static int adb_mouse_fun_offline(ddf_fun_t *fun);
 
 static driver_ops_t driver_ops = {
@@ -61,5 +61,5 @@
 };
 
-static errno_t adb_mouse_dev_add(ddf_dev_t *dev)
+static int adb_mouse_dev_add(ddf_dev_t *dev)
 {
 	adb_mouse_t *adb_mouse;
@@ -77,5 +77,5 @@
 }
 
-static errno_t adb_mouse_dev_remove(ddf_dev_t *dev)
+static int adb_mouse_dev_remove(ddf_dev_t *dev)
 {
         adb_mouse_t *adb_mouse = (adb_mouse_t *)ddf_dev_data_get(dev);
@@ -86,5 +86,5 @@
 }
 
-static errno_t adb_mouse_dev_gone(ddf_dev_t *dev)
+static int adb_mouse_dev_gone(ddf_dev_t *dev)
 {
         adb_mouse_t *adb_mouse = (adb_mouse_t *)ddf_dev_data_get(dev);
@@ -95,5 +95,5 @@
 }
 
-static errno_t adb_mouse_fun_online(ddf_fun_t *fun)
+static int adb_mouse_fun_online(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "adb_mouse_fun_online()");
@@ -101,5 +101,5 @@
 }
 
-static errno_t adb_mouse_fun_offline(ddf_fun_t *fun)
+static int adb_mouse_fun_offline(ddf_fun_t *fun)
 {
         ddf_msg(LVL_DEBUG, "adb_mouse_fun_offline()");
Index: uspace/drv/hid/atkbd/atkbd.c
===================================================================
--- uspace/drv/hid/atkbd/atkbd.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/atkbd/atkbd.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -200,9 +200,9 @@
  *
  */
-static errno_t polling(void *arg)
+static int polling(void *arg)
 {
 	at_kbd_t *kbd = arg;
 	size_t nwr;
-	errno_t rc;
+	int rc;
 	
 	while (true) {
@@ -355,8 +355,8 @@
  *
  */
-errno_t at_kbd_init(at_kbd_t *kbd, ddf_dev_t *dev)
+int at_kbd_init(at_kbd_t *kbd, ddf_dev_t *dev)
 {
 	async_sess_t *parent_sess;
-	errno_t rc;
+	int rc;
 	
 	assert(kbd);
@@ -385,5 +385,5 @@
 	ddf_fun_set_ops(kbd->kbd_fun, &kbd_ops);
 	
-	errno_t ret = ddf_fun_bind(kbd->kbd_fun);
+	int ret = ddf_fun_bind(kbd->kbd_fun);
 	if (ret != EOK) {
 		ddf_msg(LVL_ERROR, "Failed binding function 'kbd'.");
Index: uspace/drv/hid/atkbd/atkbd.h
===================================================================
--- uspace/drv/hid/atkbd/atkbd.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/atkbd/atkbd.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,10 +49,10 @@
 	chardev_t *chardev;
 	/** Callback connection to client */
-	async_sess_t *client_sess;
+	async_sess_t *client_sess; 
 	/** Fibril retrieving and parsing data */
 	fid_t polling_fibril;
 } at_kbd_t;
 
-extern errno_t at_kbd_init(at_kbd_t *, ddf_dev_t *);
+extern int at_kbd_init(at_kbd_t *, ddf_dev_t *);
 
 #endif
Index: uspace/drv/hid/atkbd/main.c
===================================================================
--- uspace/drv/hid/atkbd/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/atkbd/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
 #define NAME "atkbd"
 
-static errno_t at_kbd_add(ddf_dev_t *device);
+static int at_kbd_add(ddf_dev_t *device);
 
 /** DDF driver ops. */
@@ -83,7 +83,7 @@
  *
  */
-static errno_t at_kbd_add(ddf_dev_t *device)
+static int at_kbd_add(ddf_dev_t *device)
 {
-	errno_t rc;
+	int rc;
 
 	if (!device)
Index: uspace/drv/hid/ps2mouse/main.c
===================================================================
--- uspace/drv/hid/ps2mouse/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/ps2mouse/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,5 +45,5 @@
 #define NAME "ps2mouse"
 
-static errno_t mouse_add(ddf_dev_t *device);
+static int mouse_add(ddf_dev_t *device);
 
 /** DDF driver ops. */
@@ -78,7 +78,7 @@
  * @return Error code.
  */
-static errno_t mouse_add(ddf_dev_t *device)
+static int mouse_add(ddf_dev_t *device)
 {
-	errno_t rc;
+	int rc;
 
 	if (!device)
Index: uspace/drv/hid/ps2mouse/ps2mouse.c
===================================================================
--- uspace/drv/hid/ps2mouse/ps2mouse.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/ps2mouse/ps2mouse.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <ddf/log.h>
 #include <io/keycode.h>
@@ -77,7 +76,7 @@
 	uint8_t data = 0; \
 	size_t nread; \
-	const errno_t rc = chardev_read((mouse)->chardev, &data, 1, &nread); \
+	const int rc = chardev_read((mouse)->chardev, &data, 1, &nread); \
 	if (rc != EOK) { \
-		ddf_msg(LVL_ERROR, "Failed reading byte: %s", str_error_name(rc));\
+		ddf_msg(LVL_ERROR, "Failed reading byte: %d", rc);\
 		return rc; \
 	} \
@@ -94,14 +93,14 @@
 	uint8_t data = (value); \
 	size_t nwr; \
-	const errno_t rc = chardev_write((mouse)->chardev, &data, 1, &nwr); \
+	const int rc = chardev_write((mouse)->chardev, &data, 1, &nwr); \
 	if (rc != EOK) { \
-		ddf_msg(LVL_ERROR, "Failed writing byte: %s", str_error_name(rc)); \
+		ddf_msg(LVL_ERROR, "Failed writing byte: %d", rc); \
 		return rc; \
 	} \
 } while (0)
 
-static errno_t polling_ps2(void *);
-static errno_t polling_intellimouse(void *);
-static errno_t probe_intellimouse(ps2_mouse_t *, bool);
+static int polling_ps2(void *);
+static int polling_intellimouse(void *);
+static int probe_intellimouse(ps2_mouse_t *, bool);
 static void default_connection_handler(ddf_fun_t *, ipc_callid_t, ipc_call_t *);
 
@@ -120,9 +119,9 @@
  * @return EOK on success or non-zero error code
  */
-errno_t ps2_mouse_init(ps2_mouse_t *mouse, ddf_dev_t *dev)
+int ps2_mouse_init(ps2_mouse_t *mouse, ddf_dev_t *dev)
 {
 	async_sess_t *parent_sess;
 	bool bound = false;
-	errno_t rc;
+	int rc;
 
 	mouse->client_sess = NULL;
@@ -165,5 +164,5 @@
 
 	/* Probe IntelliMouse extensions. */
-	errno_t (*polling_f)(void*) = polling_ps2;
+	int (*polling_f)(void*) = polling_ps2;
 	if (probe_intellimouse(mouse, false) == EOK) {
 		ddf_msg(LVL_NOTE, "Enabled IntelliMouse extensions");
@@ -223,7 +222,7 @@
  * @return EOK on success or non-zero error code
  */
-static errno_t ps2_mouse_read_packet(ps2_mouse_t *mouse, void *pbuf, size_t psize)
-{
-	errno_t rc;
+static int ps2_mouse_read_packet(ps2_mouse_t *mouse, void *pbuf, size_t psize)
+{
+	int rc;
 	size_t pos;
 	size_t nread;
@@ -248,8 +247,8 @@
  * @return Never.
  */
-errno_t polling_ps2(void *arg)
+int polling_ps2(void *arg)
 {
 	ps2_mouse_t *mouse = (ps2_mouse_t *) arg;
-	errno_t rc;
+	int rc;
 
 	bool buttons[PS2_BUTTON_COUNT] = {};
@@ -300,8 +299,8 @@
  * @return Never.
  */
-static errno_t polling_intellimouse(void *arg)
+static int polling_intellimouse(void *arg)
 {
 	ps2_mouse_t *mouse = (ps2_mouse_t *) arg;
-	errno_t rc;
+	int rc;
 
 	bool buttons[INTELLIMOUSE_BUTTON_COUNT] = {};
@@ -373,5 +372,5 @@
  * See http://www.computer-engineering.org/ps2mouse/ for details.
  */
-static errno_t probe_intellimouse(ps2_mouse_t *mouse, bool buttons)
+static int probe_intellimouse(ps2_mouse_t *mouse, bool buttons)
 {
 	MOUSE_WRITE_BYTE(mouse, PS2_MOUSE_SET_SAMPLE_RATE);
Index: uspace/drv/hid/ps2mouse/ps2mouse.h
===================================================================
--- uspace/drv/hid/ps2mouse/ps2mouse.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/ps2mouse/ps2mouse.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,5 +53,5 @@
 } ps2_mouse_t;
 
-extern errno_t ps2_mouse_init(ps2_mouse_t *, ddf_dev_t *);
+extern int ps2_mouse_init(ps2_mouse_t *, ddf_dev_t *);
 
 #endif
Index: uspace/drv/hid/usbhid/blink1/blink1.c
===================================================================
--- uspace/drv/hid/usbhid/blink1/blink1.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/blink1/blink1.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,5 +60,5 @@
 } blink1_report_t;
 
-static errno_t usb_blink1_color_set(ddf_fun_t *fun, pixel_t pixel)
+static int usb_blink1_color_set(ddf_fun_t *fun, pixel_t pixel)
 {
 	usb_blink1_t *blink1_dev = (usb_blink1_t *) ddf_fun_data_get(fun);
@@ -93,5 +93,5 @@
 };
 
-errno_t usb_blink1_init(usb_hid_dev_t *hid_dev, void **data)
+int usb_blink1_init(usb_hid_dev_t *hid_dev, void **data)
 {
 	if (hid_dev == NULL) {
@@ -121,5 +121,5 @@
 	ddf_fun_set_ops(fun, &blink1_ops);
 	
-	errno_t rc = ddf_fun_bind(fun);
+	int rc = ddf_fun_bind(fun);
 	if (rc != EOK) {
 		usb_log_error("Could not bind DDF function `%s': %s.\n",
@@ -159,5 +159,5 @@
 	usb_blink1_t *blink1_dev = (usb_blink1_t *) data;
 	
-	errno_t rc = ddf_fun_unbind(blink1_dev->fun);
+	int rc = ddf_fun_unbind(blink1_dev->fun);
 	if (rc != EOK) {
 		usb_log_error("Could not unbind function `%s', it "
Index: uspace/drv/hid/usbhid/blink1/blink1.h
===================================================================
--- uspace/drv/hid/usbhid/blink1/blink1.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/blink1/blink1.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
 extern const char *HID_BLINK1_CATEGORY;
 
-extern errno_t usb_blink1_init(usb_hid_dev_t *, void **);
+extern int usb_blink1_init(usb_hid_dev_t *, void **);
 extern void usb_blink1_deinit(usb_hid_dev_t *, void *);
 
Index: uspace/drv/hid/usbhid/generic/hiddev.c
===================================================================
--- uspace/drv/hid/usbhid/generic/hiddev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/generic/hiddev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,9 +60,9 @@
 
 static size_t usb_generic_hid_get_event_length(ddf_fun_t *fun);
-static errno_t usb_generic_hid_get_event(ddf_fun_t *fun, uint8_t *buffer,
+static int usb_generic_hid_get_event(ddf_fun_t *fun, uint8_t *buffer,
     size_t size, size_t *act_size, int *event_nr, unsigned int flags);
-static errno_t usb_generic_hid_client_connected(ddf_fun_t *fun);
+static int usb_generic_hid_client_connected(ddf_fun_t *fun);
 static size_t usb_generic_get_report_descriptor_length(ddf_fun_t *fun);
-static errno_t usb_generic_get_report_descriptor(ddf_fun_t *fun, uint8_t *desc,
+static int usb_generic_get_report_descriptor(ddf_fun_t *fun, uint8_t *desc,
     size_t size, size_t *actual_size);
 
@@ -102,5 +102,5 @@
 }
 
-static errno_t usb_generic_hid_get_event(ddf_fun_t *fun, uint8_t *buffer,
+static int usb_generic_hid_get_event(ddf_fun_t *fun, uint8_t *buffer,
     size_t size, size_t *act_size, int *event_nr, unsigned int flags)
 {
@@ -143,5 +143,5 @@
 }
 
-static errno_t usb_generic_get_report_descriptor(ddf_fun_t *fun, uint8_t *desc,
+static int usb_generic_get_report_descriptor(ddf_fun_t *fun, uint8_t *desc,
     size_t size, size_t *actual_size)
 {
@@ -160,5 +160,5 @@
 }
 
-static errno_t usb_generic_hid_client_connected(ddf_fun_t *fun)
+static int usb_generic_hid_client_connected(ddf_fun_t *fun)
 {
 	usb_log_debug("Generic HID: Client connected.\n");
@@ -180,5 +180,5 @@
 }
 
-errno_t usb_generic_hid_init(usb_hid_dev_t *hid_dev, void **data)
+int usb_generic_hid_init(usb_hid_dev_t *hid_dev, void **data)
 {
 	usb_hid_gen_fun_t *hid_fun;
@@ -202,5 +202,5 @@
 	ddf_fun_set_ops(fun, &usb_generic_hid_ops);
 
-	errno_t rc = ddf_fun_bind(fun);
+	int rc = ddf_fun_bind(fun);
 	if (rc != EOK) {
 		usb_log_error("Could not bind DDF function: %s.\n",
Index: uspace/drv/hid/usbhid/generic/hiddev.h
===================================================================
--- uspace/drv/hid/usbhid/generic/hiddev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/generic/hiddev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -51,5 +51,5 @@
 } usb_hid_gen_fun_t;
 
-extern errno_t usb_generic_hid_init(usb_hid_dev_t *, void **);
+extern int usb_generic_hid_init(usb_hid_dev_t *, void **);
 extern void usb_generic_hid_deinit(usb_hid_dev_t *, void *);
 extern bool usb_generic_hid_polling_callback(usb_hid_dev_t *, void *);
Index: uspace/drv/hid/usbhid/kbd/kbddev.c
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbddev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/kbd/kbddev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -257,5 +257,5 @@
 
 	// TODO: what about the Report ID?
-	errno_t rc = usb_hid_report_output_translate(&hid_dev->report, 0,
+	int rc = usb_hid_report_output_translate(&hid_dev->report, 0,
 	    kbd_dev->output_buffer, kbd_dev->output_size);
 
@@ -435,5 +435,5 @@
 	}
 
-	errno_t ret =
+	int ret =
 	   usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_KEYBOARD, 0);
 	if (ret != EOK) {
@@ -480,5 +480,5 @@
 /* HID/KBD structure manipulation                                             */
 
-static errno_t kbd_dev_init(usb_kbd_t *kbd_dev, usb_hid_dev_t *hid_dev)
+static int kbd_dev_init(usb_kbd_t *kbd_dev, usb_hid_dev_t *hid_dev)
 {
 	assert(kbd_dev);
@@ -507,5 +507,5 @@
 	}
 
-	errno_t ret =
+	int ret =
 	    usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_KEYBOARD, 0);
 	if (ret != EOK) {
@@ -616,5 +616,5 @@
  * @return Other value inherited from function usbhid_dev_init().
  */
-errno_t usb_kbd_init(usb_hid_dev_t *hid_dev, void **data)
+int usb_kbd_init(usb_hid_dev_t *hid_dev, void **data)
 {
 	usb_log_debug("Initializing HID/KBD structure...\n");
@@ -642,5 +642,5 @@
 	}
 
-	errno_t ret = kbd_dev_init(kbd_dev, hid_dev);
+	int ret = kbd_dev_init(kbd_dev, hid_dev);
 	if (ret != EOK) {
 		usb_log_error("Failed to initialize KBD device  structure.\n");
@@ -775,8 +775,8 @@
 }
 
-errno_t usb_kbd_set_boot_protocol(usb_hid_dev_t *hid_dev)
+int usb_kbd_set_boot_protocol(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev);
-	errno_t rc = usb_hid_parse_report_descriptor(
+	int rc = usb_hid_parse_report_descriptor(
 	    &hid_dev->report, USB_KBD_BOOT_REPORT_DESCRIPTOR,
 	    sizeof(USB_KBD_BOOT_REPORT_DESCRIPTOR));
Index: uspace/drv/hid/usbhid/kbd/kbddev.h
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbddev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/kbd/kbddev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -115,5 +115,5 @@
 extern const char *HID_KBD_CATEGORY;
 
-extern errno_t usb_kbd_init(usb_hid_dev_t *, void **);
+extern int usb_kbd_init(usb_hid_dev_t *, void **);
 extern bool usb_kbd_polling_callback(usb_hid_dev_t *, void *);
 extern int usb_kbd_is_initialized(const usb_kbd_t *);
@@ -122,5 +122,5 @@
 extern void usb_kbd_push_ev(usb_kbd_t *, int, unsigned int);
 extern void usb_kbd_deinit(usb_hid_dev_t *, void *);
-extern errno_t usb_kbd_set_boot_protocol(usb_hid_dev_t *);
+extern int usb_kbd_set_boot_protocol(usb_hid_dev_t *);
 
 #endif /* USB_HID_KBDDEV_H_ */
Index: uspace/drv/hid/usbhid/kbd/kbdrepeat.c
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbdrepeat.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/kbd/kbdrepeat.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -117,5 +117,5 @@
  * @retval EINVAL if no argument is supplied.
  */
-errno_t usb_kbd_repeat_fibril(void *arg)
+int usb_kbd_repeat_fibril(void *arg)
 {
 	usb_log_debug("Autorepeat fibril spawned.\n");
Index: uspace/drv/hid/usbhid/kbd/kbdrepeat.h
===================================================================
--- uspace/drv/hid/usbhid/kbd/kbdrepeat.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/kbd/kbdrepeat.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,5 +59,5 @@
 
 
-errno_t usb_kbd_repeat_fibril(void *arg);
+int usb_kbd_repeat_fibril(void *arg);
 
 void usb_kbd_repeat_start(struct usb_kbd_t *kbd, unsigned int key);
Index: uspace/drv/hid/usbhid/main.c
===================================================================
--- uspace/drv/hid/usbhid/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
  * @return Error code.
  */
-static errno_t usb_hid_device_add(usb_device_t *dev)
+static int usb_hid_device_add(usb_device_t *dev)
 {
 	usb_log_debug("%s\n", __FUNCTION__);
@@ -77,5 +77,5 @@
 	}
 
-	errno_t rc = usb_hid_init(hid_dev, dev);
+	int rc = usb_hid_init(hid_dev, dev);
 	if (rc != EOK) {
 		usb_log_error("Failed to initialize USB/HID device.\n");
@@ -122,5 +122,5 @@
  * @return Error code.
  */
-static errno_t usb_hid_device_rem(usb_device_t *dev)
+static int usb_hid_device_rem(usb_device_t *dev)
 {
 	// TODO: Stop device polling
@@ -135,5 +135,5 @@
  * @return Error code.
  */
-static errno_t usb_hid_device_gone(usb_device_t *dev)
+static int usb_hid_device_gone(usb_device_t *dev)
 {
 	assert(dev);
Index: uspace/drv/hid/usbhid/mouse/mousedev.c
===================================================================
--- uspace/drv/hid/usbhid/mouse/mousedev.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/mouse/mousedev.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -204,5 +204,5 @@
 		return true;
 	}
-	errno_t ret =
+	int ret =
 	   usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_BUTTON, 0);
 	if (ret != EOK) {
@@ -296,5 +296,5 @@
 }
 
-static errno_t mouse_dev_init(usb_mouse_t *mouse_dev, usb_hid_dev_t *hid_dev)
+static int mouse_dev_init(usb_mouse_t *mouse_dev, usb_hid_dev_t *hid_dev)
 {
 	// FIXME: This may not be optimal since stupid hardware vendor may
@@ -320,5 +320,5 @@
 }
 
-errno_t usb_mouse_init(usb_hid_dev_t *hid_dev, void **data)
+int usb_mouse_init(usb_hid_dev_t *hid_dev, void **data)
 {
 	usb_log_debug("Initializing HID/Mouse structure...\n");
@@ -347,5 +347,5 @@
 	}
 
-	errno_t ret = mouse_dev_init(mouse_dev, hid_dev);
+	int ret = mouse_dev_init(mouse_dev, hid_dev);
 	if (ret != EOK) {
 		usb_log_error("Failed to init HID mouse device structure.\n");
@@ -403,5 +403,5 @@
 	/* Hangup session to the console */
 	if (mouse_dev->mouse_sess != NULL) {
-		const errno_t ret = async_hangup(mouse_dev->mouse_sess);
+		const int ret = async_hangup(mouse_dev->mouse_sess);
 		if (ret != EOK)
 			usb_log_warning("Failed to hang up mouse session: "
@@ -413,7 +413,7 @@
 }
 
-errno_t usb_mouse_set_boot_protocol(usb_hid_dev_t *hid_dev)
-{
-	errno_t rc = usb_hid_parse_report_descriptor(
+int usb_mouse_set_boot_protocol(usb_hid_dev_t *hid_dev)
+{
+	int rc = usb_hid_parse_report_descriptor(
 	    &hid_dev->report, USB_MOUSE_BOOT_REPORT_DESCRIPTOR,
 	    sizeof(USB_MOUSE_BOOT_REPORT_DESCRIPTOR));
Index: uspace/drv/hid/usbhid/mouse/mousedev.h
===================================================================
--- uspace/drv/hid/usbhid/mouse/mousedev.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/mouse/mousedev.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,8 +59,8 @@
 extern const char *HID_MOUSE_CATEGORY;
 
-extern errno_t usb_mouse_init(usb_hid_dev_t *, void **);
+extern int usb_mouse_init(usb_hid_dev_t *, void **);
 extern bool usb_mouse_polling_callback(usb_hid_dev_t *, void *);
 extern void usb_mouse_deinit(usb_hid_dev_t *, void *);
-extern errno_t usb_mouse_set_boot_protocol(usb_hid_dev_t *);
+extern int usb_mouse_set_boot_protocol(usb_hid_dev_t *);
 
 #endif // USB_HID_MOUSEDEV_H_
Index: uspace/drv/hid/usbhid/multimedia/multimedia.c
===================================================================
--- uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/multimedia/multimedia.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -153,5 +153,5 @@
 }
 
-errno_t usb_multimedia_init(struct usb_hid_dev *hid_dev, void **data)
+int usb_multimedia_init(struct usb_hid_dev *hid_dev, void **data)
 {
 	if (hid_dev == NULL || hid_dev->usb_dev == NULL) {
@@ -182,5 +182,5 @@
 	//todo Autorepeat?
 
-	errno_t rc = ddf_fun_bind(fun);
+	int rc = ddf_fun_bind(fun);
 	if (rc != EOK) {
 		usb_log_error("Could not bind DDF function: %s.\n",
@@ -248,5 +248,5 @@
 		return true; /* This might be a temporary failure. */
 
-	errno_t ret =
+	int ret =
 	    usb_hid_report_path_append_item(path, USB_HIDUT_PAGE_CONSUMER, 0);
 	if (ret != EOK) {
Index: uspace/drv/hid/usbhid/multimedia/multimedia.h
===================================================================
--- uspace/drv/hid/usbhid/multimedia/multimedia.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/multimedia/multimedia.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,5 +40,5 @@
 #include "../usbhid.h"
 
-extern errno_t usb_multimedia_init(usb_hid_dev_t *, void **);
+extern int usb_multimedia_init(usb_hid_dev_t *, void **);
 extern void usb_multimedia_deinit(usb_hid_dev_t *, void *);
 extern bool usb_multimedia_polling_callback(usb_hid_dev_t *, void *);
Index: uspace/drv/hid/usbhid/usbhid.c
===================================================================
--- uspace/drv/hid/usbhid/usbhid.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/usbhid.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -61,5 +61,5 @@
 };
 
-static errno_t usb_hid_set_boot_kbd_subdriver(usb_hid_dev_t *hid_dev)
+static int usb_hid_set_boot_kbd_subdriver(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev != NULL);
@@ -77,5 +77,5 @@
 }
 
-static errno_t usb_hid_set_boot_mouse_subdriver(usb_hid_dev_t *hid_dev)
+static int usb_hid_set_boot_mouse_subdriver(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev != NULL);
@@ -93,5 +93,5 @@
 }
 
-static errno_t usb_hid_set_generic_hid_subdriver(usb_hid_dev_t *hid_dev)
+static int usb_hid_set_generic_hid_subdriver(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev != NULL);
@@ -182,5 +182,5 @@
 }
 
-static errno_t usb_hid_save_subdrivers(usb_hid_dev_t *hid_dev,
+static int usb_hid_save_subdrivers(usb_hid_dev_t *hid_dev,
     const usb_hid_subdriver_t **subdrivers, unsigned count)
 {
@@ -215,5 +215,5 @@
 }
 
-static errno_t usb_hid_find_subdrivers(usb_hid_dev_t *hid_dev)
+static int usb_hid_find_subdrivers(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev != NULL);
@@ -267,5 +267,5 @@
 }
 
-static errno_t usb_hid_check_pipes(usb_hid_dev_t *hid_dev, usb_device_t *dev)
+static int usb_hid_check_pipes(usb_hid_dev_t *hid_dev, usb_device_t *dev)
 {
 	assert(hid_dev);
@@ -293,5 +293,5 @@
 }
 
-static errno_t usb_hid_init_report(usb_hid_dev_t *hid_dev)
+static int usb_hid_init_report(usb_hid_dev_t *hid_dev)
 {
 	assert(hid_dev != NULL);
@@ -342,5 +342,5 @@
  * @return Error code.
  */
-errno_t usb_hid_init(usb_hid_dev_t *hid_dev, usb_device_t *dev)
+int usb_hid_init(usb_hid_dev_t *hid_dev, usb_device_t *dev)
 {
 	assert(hid_dev);
@@ -355,5 +355,5 @@
 	hid_dev->poll_pipe_mapping = NULL;
 
-	errno_t rc = usb_hid_check_pipes(hid_dev, dev);
+	int rc = usb_hid_check_pipes(hid_dev, dev);
 	if (rc != EOK) {
 		return rc;
@@ -420,5 +420,5 @@
 		if (hid_dev->subdrivers[i].init != NULL) {
 			usb_log_debug("Initializing subdriver %d.\n",i);
-			const errno_t pret = hid_dev->subdrivers[i].init(hid_dev,
+			const int pret = hid_dev->subdrivers[i].init(hid_dev,
 			    &hid_dev->subdrivers[i].data);
 			if (pret != EOK) {
@@ -473,5 +473,5 @@
 
 	/* Parse the input report */
-	const errno_t rc = usb_hid_parse_report(
+	const int rc = usb_hid_parse_report(
 	    &hid_dev->report, buffer, buffer_size, &hid_dev->report_id);
 	if (rc != EOK) {
Index: uspace/drv/hid/usbhid/usbhid.h
===================================================================
--- uspace/drv/hid/usbhid/usbhid.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/usbhid/usbhid.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,5 +55,5 @@
  * @return Error code.
  */
-typedef errno_t (*usb_hid_driver_init_t)(usb_hid_dev_t *dev, void **data);
+typedef int (*usb_hid_driver_init_t)(usb_hid_dev_t *dev, void **data);
 
 /** Subdriver deinitialization callback.
@@ -134,5 +134,5 @@
 extern const usb_endpoint_description_t *usb_hid_endpoints[];
 
-errno_t usb_hid_init(usb_hid_dev_t *hid_dev, usb_device_t *dev);
+int usb_hid_init(usb_hid_dev_t *hid_dev, usb_device_t *dev);
 
 void usb_hid_deinit(usb_hid_dev_t *hid_dev);
Index: uspace/drv/hid/xtkbd/main.c
===================================================================
--- uspace/drv/hid/xtkbd/main.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/xtkbd/main.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
 #define NAME "xtkbd"
 
-static errno_t xt_kbd_add(ddf_dev_t *device);
+static int xt_kbd_add(ddf_dev_t *device);
 
 /** DDF driver ops. */
@@ -83,7 +83,7 @@
  *
  */
-static errno_t xt_kbd_add(ddf_dev_t *device)
+static int xt_kbd_add(ddf_dev_t *device)
 {
-	errno_t rc;
+	int rc;
 
 	if (!device)
Index: uspace/drv/hid/xtkbd/xtkbd.c
===================================================================
--- uspace/drv/hid/xtkbd/xtkbd.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/xtkbd/xtkbd.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -205,9 +205,9 @@
  *
  */
-static errno_t polling(void *arg)
+static int polling(void *arg)
 {
 	xt_kbd_t *kbd = arg;
 	size_t nread;
-	errno_t rc;
+	int rc;
 	
 	while (true) {
@@ -353,5 +353,5 @@
 		
 		size_t nwr;
-		errno_t rc = chardev_write(kbd->chardev, &cmds[0], 1, &nwr);
+		int rc = chardev_write(kbd->chardev, &cmds[0], 1, &nwr);
 		if (rc != EOK) {
 			async_answer_0(icallid, rc);
@@ -410,9 +410,9 @@
  *
  */
-errno_t xt_kbd_init(xt_kbd_t *kbd, ddf_dev_t *dev)
+int xt_kbd_init(xt_kbd_t *kbd, ddf_dev_t *dev)
 {
 	async_sess_t *parent_sess;
 	bool bound = false;
-	errno_t rc;
+	int rc;
 	
 	kbd->client_sess = NULL;
Index: uspace/drv/hid/xtkbd/xtkbd.h
===================================================================
--- uspace/drv/hid/xtkbd/xtkbd.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/hid/xtkbd/xtkbd.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -55,5 +55,5 @@
 } xt_kbd_t;
 
-extern errno_t xt_kbd_init(xt_kbd_t *, ddf_dev_t *);
+extern int xt_kbd_init(xt_kbd_t *, ddf_dev_t *);
 
 #endif
Index: uspace/drv/intctl/apic/apic.c
===================================================================
--- uspace/drv/intctl/apic/apic.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/drv/intctl/apic/apic.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,5 +45,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <async.h>
 #include <stdio.h>
@@ -140,5 +139,5 @@
 }
 
-static errno_t apic_enable_irq(apic_t *apic, sysarg_t irq)
+static int apic_enable_irq(apic_t *apic, sysarg_t irq)
 {
 	io_redirection_reg_t reg;
@@ -207,10 +206,10 @@
 
 /** Add APIC device. */
-errno_t apic_add(apic_t *apic, apic_res_t *res)
+int apic_add(apic_t *apic, apic_res_t *res)
 {
 	sysarg_t have_apic;
 	ddf_fun_t *fun_a = NULL;
 	void *regs;
-	errno_t rc;
+	int rc;
 	
 	if ((sysinfo_get_value("apic", &have_apic) != EOK) || (!have_apic)) {
@@ -221,5 +220,5 @@
 	rc = pio_enable((void *) res->base, IO_APIC_SIZE, &regs);
 	if (rc != EOK) {
-		printf("%s: Failed to enable PIO for APIC: %s\n", NAME, str_error(rc));
+		printf("%s: Failed to enable PIO for APIC: %d\n", NAME, rc);
 		return EIO;
 	}
@@ -238,5 +237,5 @@
 	rc = ddf_fun_bind(fun_a);
 	if (rc != EOK) {
-		ddf_msg(LVL_ERROR, "Failed binding function 'a': %s", str_error(rc));
+		ddf_msg(LVL_ERROR, "Failed binding function 'a'. (%d)", rc);
 		goto error;
 	}
@@ -254,5 +253,5 @@
 
 /** Remove APIC device */
-errno_t apic_remove(apic_t *apic)
+int apic_remove(apic_t *apic)
 {
 	return ENOTSUP;
@@ -260,5 +259,5 @@
 
 /** APIC device gone */
-errno_t apic_gone(apic_t *apic)
+int apic_gone(apic_t *apic)
 {
 	return ENOTSUP;
